=== debian/changelog ===
ros-indigo-jsk-footstep-planner (0.1.15-0trusty) trusty; urgency=high

  * Merge pull request #692 <https://github.com/jsk-ros-pkg/jsk_control/issues/692> from orikuma/replace-footstep-state-to-state-ptr
    Replace FootstepState::Ptr to StatePtr in footstep_astar_solver to be used with a GraphT which has different state type
  * [jsk_footstep_planner] Replace FootstepState::Ptr -> StatePtr in footstep_astar_solver to be used with a GraphT which has different state type
  * Contributors: Iori Kumagai, Yohei Kakiuchi

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 15 May 2018 15:00:00 -0000

ros-indigo-jsk-footstep-planner (0.1.14-0trusty) trusty; urgency=high

  * [jsk_footstep_planner] add grid_path_planner (#688 <https://github.com/jsk-ros-pkg/jsk_control/issues/688>)
    * [jsk_foostep_planner/footstep_marker] add use_default_step_as_goal
  * [jsk_foostep_planner/JAXON] update launch (#687 <https://github.com/jsk-ros-pkg/jsk_control/issues/687>)
  * Add follow_path heuristic to footstep_planner (#675 <https://github.com/jsk-ros-pkg/jsk_control/issues/675>)
    * [jsk_footstep_planner] remove not used settings from CMakeLists.txt and change order of include
    * [jsk_footstep_planner] add set heuristic path service
    * [jsk_footstep_planner] update follow_path heuristic
    * [jsk_footstep_planner] fix method name
    * [jsk_footstep_planner] refine solver
    * [jsk_footstep_planner] fix include
    * [jsk_footstep_planner] add follow_path heuristic to cfg
    * [footstep_planner] add follow_path footstep_planning
  * Contributors: Yohei Kakiuchi, Yuki Furuta

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 14 Jan 2018 15:00:00 -0000

ros-indigo-jsk-footstep-planner (0.1.13-0trusty) trusty; urgency=high

  * [jsk_footstep_planner, jsk_teleop_joy] add stack mode to footstep_marker
  * [jsk_footstep_planner] add pass through filter for creating heightmap (remove points of a ceiling)
  * [jsk_footstep_planner] Make initial map_origin_pointcloud smaller
  * Contributors: Yohei Kakiuchi

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 17 Apr 2017 15:00:00 -0000

ros-indigo-jsk-footstep-planner (0.1.12-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 21 Feb 2017 15:00:00 -0000

ros-indigo-jsk-footstep-planner (0.1.11-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 08 Feb 2017 15:00:00 -0000

ros-indigo-jsk-footstep-planner (0.1.10-0trusty) trusty; urgency=high

  * [footstep_planner] fix for local_move
  * [footstep_planner, JAXON] footstep setting for leptrino foot
  * [jsk_footstep_planner] fix offset for project_footstep service
  * [footstep_planner] add local move offset
  * [footstep_planner] remove debug message / fix for very short path
  * [footstep_planner] add PathCost and Successor function
  * [jsk_footstep_planner] add project_footstep service
  * [jsk_footstep_planner/config/*footstep_planner_params.yaml] Update HRP2JSKNT, HRP2JSKNTS footstep planner params and add parameter for JAXON.
  * [jsk_footstep_planner/test/test_footstep_planning_eus_client.test] Increase test time to 5 minutes.
  * [jsk_footstep_planner/test/test_footstep_planning_eus_client.l] Add test for slope and stair
  * [jsk_footstep_planner/config/sample_robot_footstep_planner_params.yaml] Update parameters for stair slope test
  * [jsk_footstep_planner/euslisp/generate-footstep-planner-parameters-from-robot-model.l] Dump goal pos rot thre and transition limit
  * [jsk_footstep_planner/euslisp/generate-footstep-planner-parameters-from-robot-model.l] Use analysis-level coords while IK.
  * [footstep_planner] add check collision when validating goal state
  * [footstep_planner] add offset for successor test
  * [jsk_footstep_planner/euslisp/generate-footstep-planner-parameters-from-robot-model.l] Add euslisp code to generate eus sample robot footstep planner params
  * [jsk_footstep_planner/test/test_footstep_planning_eus_client.test,.l, config/sample_robot_footstep_planner_params.yaml] Add test for footstep successors and add config parameter for euslisp sample robot. Make default tested robot as sample robot.
  * [jsk_footstep_planner/CMakeLists.txt,package.xml] Add footstep planner rostest. roseus dependency is required for message generation.
  * [footstep_planner] add check collision when finalizing
  * [jsk_footstep_planner/footstep_plnner.cpp] add ROS_INFO for read successors
  * Migrate srv files from jsk_pcl_ros to jsk_recognition_msgs
    see
    - https://github.com/jsk-ros-pkg/jsk_recognition/pull/1827
    - https://github.com/jsk-ros-pkg/jsk_recognition/pull/1914
  * [jsk_footstep_planner/footstep_plnner.cpp] fix successor processing using [r/l]leg_offset
  * [jsk_footstep_planner/euslisp/generate-footstep-planner-parameters-from-robot-model.l] Add generator for some footstep planner parameters using robot model
  * [jsk_footstep_planner/config/HRP2JSKNT*_footstep_planner_params.yaml] Add hrp2 footstep planner settings.
  * [jsk_footstep_planner/config/JAXON_RED_footstep_planner_params.yaml, launch/cppplanner/optimistic_footstep_planner.launch] Move some footstep parameters to parameter files.
  * [jsk_footstep_planner/launch/cppplanner/optimistic_footstep_planner.launch, README, euslisp/footstep-planner-client-sample.l, test/test_footstep_planning_eus_client.test] Use argument ROBOT instead of env ROBOT
  * [jsk_footstep_planner/test] Add simple test for footstep_planner
  * [jsk_footstep_planner/src/footstep_graph.cpp] isColliding returns false if use obstacle model is true and no obstacles are specified (point cloud size = 0).
  * [jsk_footstep_controller/euslisp/util.l,jsk_footstep_planner/euslisp/footstep-planner-client-sample.l] Move footstep action client utility to util.l and rename functions.
  * [jsk_footstep_planner/launch/cppplanner/optimistic_footstep_planner.launch] Check arg for USE_PERCEPTION for use_lazy_perception

